Bug 173344 - CVE-2005-3632 Netpbm buffer overflow
CVE-2005-3632 Netpbm buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: netpbm (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
impact=moderate,public=20051112,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-16 09:34 EST by Josh Bressers
Modified: 2013-07-02 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-843
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue (4.09 KB, patch)
2005-11-16 09:35 EST, Josh Bressers
no flags Details | Diff
New patch that fixes the buffer overflows. (2.46 KB, patch)
2005-12-05 10:17 EST, Jindrich Novy
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-11-16 09:34:25 EST
Netpbm buffer ovflow

Vladimir Nadvornik from Suse discovered a buffer overfow in pnmtopng
which will overflow the textine[256] buffer


This issue also affects RHEL2.1
Comment 1 Josh Bressers 2005-11-16 09:35:23 EST
Created attachment 121124 [details]
Proposed patch for this issue
Comment 2 Jindrich Novy 2005-11-17 13:24:42 EST
This patch looks like it needs backporting as netpbm-9.24 we have doesn't
contain the "convertor/other" directory hierarchy.

The 9.24 pnmtopng misses the allocation check for "cp", so that the code there
would segfault if malloc fails. This is what I fixed in addition to this patch.

Patches for 2.1 and 3 are finished.

Waiting on info whether to commit or not to non-embargoed branch.
Comment 3 Jindrich Novy 2005-11-18 09:17:24 EST
Applied. Packages added to the errata, rpmdiff passed, test request filed.
Comment 4 Jindrich Novy 2005-12-05 10:17:22 EST
Created attachment 121853 [details]
New patch that fixes the buffer overflows.

The original patch didn't fix all possible overflows/underflows so a basic all
of:
"pnmtopng -text file.txt test.pnm" still segfaulted. This is now fixed by this
patch.
Comment 7 Red Hat Bugzilla 2005-12-20 09:39:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-843.html

Note You need to log in before you can comment on or make changes to this bug.